Connector
Menghubungkan akun, mengelola koneksi dan kebijakan, menjalankan tool. 20 endpoint
GET /integrations/catalog
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
q (query) | string |
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/catalog' \
-H "Authorization: Bearer $LEX_TOKEN"GET /connector-providers
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
q (query) | string |
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/connector-providers' \
-H "Authorization: Bearer $LEX_TOKEN"GET /integrations/connections
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/connections' \
-H "Authorization: Bearer $LEX_TOKEN"GET /connector-connections
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/connector-connections' \
-H "Authorization: Bearer $LEX_TOKEN"POST /integrations/{toolkitSlug}/connect
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
toolkitSlug (path) | string | ya |
Body permintaan
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
credentials | record<string, string> | ||
label | string | panjang 0–80 | |
returnTo | string | panjang 0–300 · pola ^\/(?!\/)[A-Za-z0-9/_\-.~%?=&]*$ |
Contoh
bash
curl -X POST 'https://api.lexcetha.com/api/v1/integrations/:toolkitSlug/connect' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{}'GET /integrations/connections/{connectionId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya |
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN"PATCH /integrations/connections/{connectionId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya |
Body permintaan
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
displayLabel | string | panjang 1–80 | |
isDefault | true |
Contoh
bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/integrations/connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{}'DELETE /integrations/connections/{connectionId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya |
Contoh
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/integrations/connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN"GET /connector-connections/{connectionId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya |
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN"PATCH /connector-connections/{connectionId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya |
Body permintaan
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
displayLabel | string | panjang 1–80 | |
isDefault | true |
Contoh
bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{}'DELETE /connector-connections/{connectionId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya |
Contoh
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId' \
-H "Authorization: Bearer $LEX_TOKEN"GET /integrations/callback/verify
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/callback/verify' \
-H "Authorization: Bearer $LEX_TOKEN"POST /integrations/connections/{connectionId}/sync
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya |
Contoh
bash
curl -X POST 'https://api.lexcetha.com/api/v1/integrations/connections/:connectionId/sync' \
-H "Authorization: Bearer $LEX_TOKEN"POST /connector-connections/{connectionId}/test
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya |
Contoh
bash
curl -X POST 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId/test' \
-H "Authorization: Bearer $LEX_TOKEN"PUT /connector-connections/{connectionId}/bots
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya |
Body permintaan
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
botId | string | ya | panjang 1–∞ |
Contoh
bash
curl -X PUT 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId/bots' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"botId":"string"}'DELETE /connector-connections/{connectionId}/bots/{botId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
connectionId (path) | string | ya | |
botId (path) | string | ya |
Contoh
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/connector-connections/:connectionId/bots/:botId' \
-H "Authorization: Bearer $LEX_TOKEN"GET /integrations/tools/search
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/tools/search' \
-H "Authorization: Bearer $LEX_TOKEN"POST /integrations/tools/{toolSlug}/execute
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
toolSlug (path) | string | ya |
Body permintaan
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
arguments | record<string, any> | ya | bawaan {} |
approvalId | string | ||
idempotencyKey | string | panjang 8–200 |
Contoh
bash
curl -X POST 'https://api.lexcetha.com/api/v1/integrations/tools/:toolSlug/execute' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"arguments":{}}'GET /integrations/policies
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/integrations/policies' \
-H "Authorization: Bearer $LEX_TOKEN"PUT /integrations/policies/{toolkitSlug}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
toolkitSlug (path) | string | ya |
Body permintaan
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
enabled | boolean | ya | |
authConfigId | string | null | ||
toolkitVersion | string | null | ||
allowedTools | string[] | maks 500 item | |
deniedTools | string[] | maks 2000 item | |
autoRunTools | string[] | maks 2000 item | |
askTools | string[] | maks 2000 item | |
writeRequiresApproval | boolean |
Contoh
bash
curl -X PUT 'https://api.lexcetha.com/api/v1/integrations/policies/:toolkitSlug' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"enabled":true}'